View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008109ParaView(No Category)public2008-11-17 16:442009-05-13 13:59
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0008109: Anotate time goes away
DescriptionThis one is medium-high, minor-major.

Trunk, XP, local server.
Open can.exo.
Sources/Annotate time.
Turn visibility off, turn visibility on of the annotate time.
You cannot get annotate time to ever turn on again. You must delete the filter and recreated it.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0014131)
Utkarsh Ayachit (administrator)
2008-11-18 09:37

The problem was that the Widget hides the representation
with it's Disabled. Now using "ProcessEvents" to toggle interactivity and using
"Visibility" to affect both widget enabled state as well as representation
visibility.

/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMNewWidgetRepresentationProxy.cxx,v <-- Servers/ServerManager/vtkSMNewWidgetRepresentationProxy.cxx
new revision: 1.12; previous revision: 1.11
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMTextSourceRepresentationProxy.cxx,v <-- Servers/ServerManager/vtkSMTextSourceRepresentationProxy.cxx
new revision: 1.9; previous revision: 1.8
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMTextSourceRepresentationProxy.h,v <-- Servers/ServerManager/vtkSMTextSourceRepresentationProxy.h
new revision: 1.9; previous revision: 1.8
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/rendering.xml,v <-- Servers/ServerManager/Resources/rendering.xml
new revision: 1.320; previous revision: 1.319
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/utilities.xml,v <-- Servers/ServerManager/Resources/utilities.xml
new revision: 1.156; previous revision: 1.155
/cvsroot/ParaView3/ParaView3/Qt/Components/pqTextDisplayPropertiesWidget.cxx,v <-- Qt/Components/pqTextDisplayPropertiesWidget.cxx
new revision: 1.11; previous revision: 1.10
(0014139)
Alan Scott (manager)
2008-11-19 17:04

Quick!

Tested client/server.

- Issue History
Date Modified Username Field Change
2008-11-17 16:44 Alan Scott New Issue
2008-11-18 09:37 Utkarsh Ayachit Note Added: 0014131
2008-11-18 09:37 Utkarsh Ayachit Status backlog => @80@
2008-11-18 09:37 Utkarsh Ayachit Resolution open => fixed
2008-11-18 09:37 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2008-11-19 17:04 Alan Scott Note Added: 0014139
2008-11-19 17:04 Alan Scott Status @80@ => closed
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker